# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2017-11-27 17:27
from __future__ import unicode_literals

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('dcim', '0051_rackreservation_tenant'),
    ]

    operations = [
        migrations.CreateModel(
            name='VCMembership',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('position', models.PositiveSmallIntegerField(validators=[django.core.validators.MaxValueValidator(255)])),
                ('is_master', models.BooleanField(default=False)),
                ('priority', models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(255)])),
                ('device', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='vc_membership', to='dcim.Device')),
            ],
            options={
                'verbose_name': 'VC membership',
                'ordering': ['virtual_chassis', 'position'],
            },
        ),
        migrations.CreateModel(
            name='VirtualChassis',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('domain', models.CharField(blank=True, max_length=30)),
            ],
        ),
        migrations.AddField(
            model_name='vcmembership',
            name='virtual_chassis',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='memberships', to='dcim.VirtualChassis'),
        ),
        migrations.AlterUniqueTogether(
            name='vcmembership',
            unique_together=set([('virtual_chassis', 'position')]),
        ),
    ]
